Roku Developer Program

Developers and content creators—a complete solution for growing an audience directly.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Level 7

legacy brightscript not running on latest players

I am new to the community. I make one-off arcade machines which use PLCs for control with Brightsign players for sound and video. I had a brightscript (autorun.brs) written in 2011 to convert 6 outputs from the PLCs to a binary form to trigger 64 tracks on the player. It works fine on all my old LS 422 players running firmware version6.2.45. I just bought an LS 424 with a GPIO adaptor (running firmware 8.0.22) and it no longer runs. I haven't been able to find any reference to similar problems on the web but I'm hoping it will be familiar to someone in the community. 

0 Kudos